This page was not yet optimized for use on mobile devices.
Ubuntu OpenSSH Client Cryptographic Module
Certificate details
| Certificate ID | #2907 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to dependency on certificate #2888 |
| Validation dates | 10.05.2017 , 09.08.2019 , 23.03.2021 , 18.10.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode with module Ubuntu OpenSSL Cryptographic Module validated to FIPS 140-2 under Cert. #2888 [1][2] and #3725 [3] operating in FIPS mode |
| Exceptions |
|
| Description | Ubuntu OpenSSH Client cryptographic module provides the client-side component for an SSH protocol version 2 protected communication channel. Its cryptographic mechanisms use the OpenSSL library in FIPS 140-2 mode. |
| Tested configurations |
|
| Vendor | Canonical Ltd. http://www.canonical.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 2 certificates, transitively this expands into 2 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, HMAC, HMAC-SHA-256, HMAC-SHA-512Asymmetric Algorithms
ECDSA, ECC, Diffie-Hellman, DSAHash functions
SHA-1, SHA-256, SHA-384, SHA-512Schemes
MAC, Key ExchangeProtocols
SSH, SSHv2Randomness
DRBGLibraries
OpenSSLElliptic Curves
Ed25519Block cipher modes
CBC, CTRSecurity level
Level 1, level 1Cross-references
OutgoingAutomated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2907,
"dgst": "58bdcfb2c72536d2",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#C1270",
"#1396",
"CVL#C1305",
"#1068",
"#C1305",
"#3594",
"#C1257",
"#1056",
"CVL#1053",
"#1057",
"SHS#C1304",
"#2899",
"#4359",
"AES#C1259",
"AES#4357",
"RSA#2354",
"HMAC#2898",
"#4360",
"#1162",
"#1159",
"#2897",
"#2355",
"HMAC#C1305",
"RSA#C1269",
"DSA#1159",
"CVL#1057",
"RSA#2356",
"SHS#3597",
"Triple-DES#2357",
"#2901",
"SHS#3593",
"SHS#3598",
"#C1258",
"DRBG#C1304",
"#1037",
"AES#C1260",
"#1053",
"DRBG#1397",
"HMAC#2896",
"HMAC#2897",
"CVL#1056",
"HMAC#2895",
"CVL#1090",
"ECDSA#C1304",
"ECDSA#C1305",
"#1086",
"#1065",
"Triple-DES#C1257",
"#1090",
"#2900",
"#3595",
"DRBG#1392",
"#1158",
"CVL#1086",
"DRBG#1391",
"RSA#C1305",
"Triple-DES#2356",
"#4355",
"#4356",
"ECDSA#1037",
"#1035",
"HMAC#2899",
"CVL#1067",
"AES#4359",
"RSA#C1304",
"SHS#3596",
"#1087",
"#1395",
"AES#4356",
"#2352",
"CVL#1065",
"#C1259",
"#4358",
"CVL#C1269",
"#1392",
"CVL#1054",
"DSA#1162",
"AES#C1265",
"Triple-DES#2355",
"DSA#C1305",
"CVL#1087",
"CVL#1063",
"AES#C1264",
"#1393",
"#1157",
"CVL#1060",
"#3596",
"AES#C1267",
"#C1264",
"RSA#2353",
"#4354",
"#1032",
"#2895",
"HMAC#C1269",
"#C1266",
"ECDSA#1033",
"CVL#1088",
"SHS#3595",
"ECDSA#C1269",
"#3599",
"#1397",
"AES#4354",
"#C1260",
"HMAC#C1304",
"DSA#1161",
"DSA#C1269",
"#3593",
"#C1267",
"DRBG#1395",
"AES#C1261",
"AES#4358",
"AES#C1258",
"DSA#1160",
"#4361",
"CVL#1089",
"DSA#C1304",
"AES#4360",
"RSA#2357",
"CVL#1091",
"#2354",
"ECDSA#1034",
"DRBG#1393",
"#2356",
"#1034",
"#C1265",
"#1391",
"#1088",
"AES#C1266",
"#1160",
"HMAC#2901",
"#1031",
"HMAC#2900",
"DRBG#1396",
"#1063",
"CVL#1068",
"#1390",
"#2357",
"#C1270",
"#1067",
"#1069",
"SHS#3599",
"SHS#C1305",
"ECDSA#1036",
"#4357",
"CVL#1059",
"#C1269",
"#1033",
"RSA#2352",
"#1062",
"AES#4361",
"DRBG#1390",
"SHS#C1269",
"ECDSA#1032",
"RSA#2351",
"#1060",
"#1156",
"#1054",
"#1036",
"ECDSA#1031",
"#1059",
"#2898",
"#3597",
"CVL#1062",
"#C1304",
"SHS#3594",
"DRBG#C1269",
"CVL#1069",
"#1394",
"#1091",
"CVL#1085",
"ECDSA#1035",
"DSA#1158",
"#1085",
"CVL#C1304",
"#1161",
"DRBG#1394",
"AES#4355",
"RSA#2355",
"DRBG#C1305",
"#2353",
"DSA#1157",
"#2351",
"#C1261",
"#1089",
"DSA#1156",
"#3598",
"#2896"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"3725",
"2888"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"3725",
"2888"
]
}
},
"module_prunned_references": {
"_type": "Set",
"elements": [
"3725",
"2888"
]
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"3725",
"2888"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"3725",
"2888"
]
}
},
"policy_prunned_references": {
"_type": "Set",
"elements": [
"3725",
"2888"
]
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 6
}
},
"FF": {
"DH": {
"Diffie-Hellman": 26
},
"DSA": {
"DSA": 8
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 7
},
"CTR": {
"CTR": 5
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 39
}
},
"crypto_protocol": {
"SSH": {
"SSH": 60,
"SSHv2": 10
}
},
"crypto_scheme": {
"KEX": {
"Key Exchange": 2
},
"MAC": {
"MAC": 4
}
},
"device_model": {},
"ecc_curve": {
"Edwards": {
"Ed25519": 4
}
},
"eval_facility": {
"atsec": {
"atsec": 32
}
},
"fips_cert_id": {
"Cert": {
"#1031": 1,
"#1032": 1,
"#1033": 1,
"#1034": 1,
"#1035": 1,
"#1036": 1,
"#1037": 1,
"#1053": 6,
"#1054": 3,
"#1056": 6,
"#1057": 3,
"#1059": 6,
"#1060": 3,
"#1062": 3,
"#1063": 4,
"#1065": 7,
"#1067": 6,
"#1068": 3,
"#1069": 7,
"#1085": 3,
"#1086": 3,
"#1087": 3,
"#1088": 3,
"#1089": 3,
"#1090": 3,
"#1091": 3,
"#1156": 1,
"#1157": 1,
"#1158": 1,
"#1159": 1,
"#1160": 1,
"#1161": 1,
"#1162": 1,
"#1390": 1,
"#1391": 1,
"#1392": 1,
"#1393": 1,
"#1394": 1,
"#1395": 1,
"#1396": 1,
"#1397": 1,
"#2351": 1,
"#2352": 1,
"#2353": 1,
"#2354": 1,
"#2355": 2,
"#2356": 2,
"#2357": 2,
"#2888": 4,
"#2895": 1,
"#2896": 1,
"#2897": 1,
"#2898": 1,
"#2899": 1,
"#2900": 1,
"#2901": 1,
"#3593": 1,
"#3594": 1,
"#3595": 1,
"#3596": 1,
"#3597": 1,
"#3598": 1,
"#3599": 1,
"#3725": 4,
"#4354": 1,
"#4355": 1,
"#4356": 1,
"#4357": 1,
"#4358": 1,
"#4359": 1,
"#4360": 1,
"#4361": 1
}
},
"fips_certlike": {
"Certlike": {
"#1069 CVL": 5,
"AES #4354": 1,
"CVL #1053": 4,
"CVL #1054": 1,
"CVL #1085": 1,
"CVL #1086": 1,
"CVL #1089": 1,
"DRBG #1390": 1,
"DSA #1156": 1,
"Diffie-Hellman CVL #1053": 2,
"HMAC #2895": 2,
"HMAC-SHA-1": 2,
"HMAC-SHA-256": 6,
"HMAC-SHA-512": 2,
"RSA #2351": 1,
"SHA- 256": 1,
"SHA-1": 5,
"SHA-256": 2,
"SHA-384": 1,
"SHA-512": 1,
"SHS #3593": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 2
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 5
},
"SHA2": {
"SHA-256": 2,
"SHA-384": 1,
"SHA-512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 4
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 43,
"FIPS PUB 140-2": 2,
"FIPS140-2": 1
},
"RFC": {
"RFC4253": 5,
"RFC4344": 3,
"RFC4419": 1,
"RFC5656": 3,
"RFC6668": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 11
}
},
"DES": {
"3DES": {
"Triple-DES": 5
},
"DES": {
"DES": 1
}
},
"constructions": {
"MAC": {
"HMAC": 9,
"HMAC-SHA-256": 3,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#C1270",
"CVL#C1305",
"CVL#1053",
"SHS#C1304",
"AES#C1259",
"AES#4357",
"RSA#2354",
"HMAC#2898",
"HMAC#C1305",
"RSA#C1269",
"DSA#1159",
"CVL#1057",
"RSA#2356",
"SHS#3597",
"Triple-DES#2357",
"SHS#3593",
"SHS#3598",
"DRBG#C1304",
"AES#C1260",
"DRBG#1397",
"HMAC#2896",
"HMAC#2897",
"CVL#1056",
"HMAC#2895",
"CVL#1090",
"ECDSA#C1304",
"ECDSA#C1305",
"Triple-DES#C1257",
"DRBG#1392",
"CVL#1086",
"DRBG#1391",
"RSA#C1305",
"Triple-DES#2356",
"ECDSA#1037",
"HMAC#2899",
"CVL#1067",
"AES#4359",
"RSA#C1304",
"SHS#3596",
"AES#4356",
"CVL#1065",
"CVL#C1269",
"CVL#1054",
"DSA#1162",
"AES#C1265",
"Triple-DES#2355",
"DSA#C1305",
"CVL#1087",
"CVL#1063",
"AES#C1264",
"CVL#1060",
"AES#C1267",
"RSA#2353",
"HMAC#C1269",
"SHS#3595",
"CVL#1088",
"ECDSA#1033",
"ECDSA#C1269",
"AES#4354",
"HMAC#C1304",
"DSA#1161",
"DSA#C1269",
"DRBG#1395",
"AES#C1261",
"AES#4358",
"AES#C1258",
"DSA#1160",
"CVL#1089",
"DSA#C1304",
"AES#4360",
"RSA#2357",
"CVL#1091",
"ECDSA#1034",
"DRBG#1393",
"AES#C1266",
"HMAC#2901",
"HMAC#2900",
"DRBG#1396",
"CVL#1068",
"SHS#3599",
"SHS#C1305",
"ECDSA#1036",
"CVL#1059",
"RSA#2352",
"AES#4361",
"DRBG#1390",
"SHS#C1269",
"ECDSA#1032",
"RSA#2351",
"ECDSA#1031",
"CVL#1062",
"SHS#3594",
"DRBG#C1269",
"CVL#1069",
"CVL#1085",
"ECDSA#1035",
"DSA#1158",
"CVL#C1304",
"DRBG#1394",
"AES#4355",
"RSA#2355",
"DRBG#C1305",
"DSA#1157",
"DSA#1156"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1396",
"#1068",
"#C1305",
"#3594",
"#C1257",
"#1056",
"#1057",
"#2899",
"#4359",
"#4360",
"#1162",
"#1159",
"#2897",
"#2355",
"#2901",
"#C1258",
"#1037",
"#1053",
"#1086",
"#1065",
"#1090",
"#2900",
"#3595",
"#1158",
"#4355",
"#4356",
"#1035",
"#1087",
"#1395",
"#2352",
"#C1259",
"#1392",
"#1393",
"#1157",
"#3596",
"#C1264",
"#4354",
"#1032",
"#2895",
"#C1266",
"#3599",
"#1397",
"#C1260",
"#3593",
"#C1267",
"#4361",
"#2354",
"#2356",
"#1034",
"#C1265",
"#1391",
"#1088",
"#1160",
"#1031",
"#1063",
"#1390",
"#2357",
"#C1270",
"#1067",
"#1069",
"#4357",
"#C1269",
"#1033",
"#1062",
"#1060",
"#1156",
"#1054",
"#1036",
"#1059",
"#2898",
"#3597",
"#C1304",
"#1394",
"#1091",
"#1085",
"#1161",
"#2353",
"#2351",
"#C1261",
"#1089",
"#4358",
"#3598",
"#2896"
]
},
"policy_metadata": {
"/CreationDate": "D:20210203192431Z00\u002700\u0027",
"/Creator": "Word",
"/ModDate": "D:20210203192431Z00\u002700\u0027",
"/Producer": "macOS Version 10.15.5 (Build 19F101) Quartz PDFContext",
"/Title": "Microsoft Word - UbuntuOpenSSH-Client-SecurityPolicy_v3.0.doc",
"pdf_file_size_bytes": 723536,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 30
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "e4832cd546e4505cf2194250fe5f11818f9c642d7e30ea508681e7a0669a0fba",
"source_hash": "8fd3444a0621e07460fbb3264eb838135762846099bbd6f7d2810926c441122d",
"txt_hash": "a05dba78b29633d607d1e7c6e8648c06c1168edfc4d04eeee9cb40747cf94655"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode with module Ubuntu OpenSSL Cryptographic Module validated to FIPS 140-2 under Cert. #2888 [1][2] and #3725 [3] operating in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertMay2017.pdf",
"date_sunset": null,
"description": "Ubuntu OpenSSH Client cryptographic module provides the client-side component for an SSH protocol version 2 protected communication channel. Its cryptographic mechanisms use the OpenSSL library in FIPS 140-2 mode.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to dependency on certificate #2888",
"hw_versions": null,
"level": 1,
"mentioned_certs": {
"2888": 1,
"3725": 1
},
"module_name": "Ubuntu OpenSSH Client Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.0[1], 1.1[2] and 1.2[3]",
"tested_conf": [
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8001-22C with PAA [1][2]",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8001-22C without PAA [1][2]",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8247-22L with PAA [1][2]",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8247-22L without PAA [1][2]",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8335-GTB with PAA [1][2]",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8335-GTB without PAA [1][2]",
"Ubuntu 16.04 LTS 64-bit running on IBM z13 with PAI [1][2]",
"Ubuntu 16.04 LTS 64-bit running on IBM z13 without PAI [1][2] (single-user mode)",
"Ubuntu 16.04 LTS 64-bit running on Supermicro SYS-5018R-WR with PAA [1][2][3]",
"Ubuntu 16.04 LTS 64-bit running on Supermicro SYS-5018R-WR without PAA [1][2][3]"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-05-10",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2019-08-09",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-03-23",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-10-18",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "Canonical Ltd.",
"vendor_url": "http://www.canonical.com"
}
}